#region

//        Copyright (C) 2004, 2005. Antonio Gutiérrez Mayoral
//                 <agutierr@gsyc.escet.urjc.es>
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
// 
//  You should have received a copy of the GNU General Public
//  License along with this program; if not, write to the
//  Free Software Foundation, Inc., 59 Temple Place _ Suite 330,
//  Boston, MA 02111_1307, USA.

#endregion

namespace pfc.Svn {

	public class InfoList {
	
		private string[,] infoTable = new string[infoNumElements,2];
		
		private static int infoNumElements = 12;
		
		public InfoList() {
		
			infoTable[0,0] = "Path";
			infoTable[1,0] = "Name";
			infoTable[2,0] = "Revision";
			infoTable[3,0] = "Last Changed Author";
			infoTable[4,0] = "Last Changed Rev";
			infoTable[5,0] = "Last Changed Date";
			infoTable[6,0] = "Text Last Updated";
			infoTable[7,0] = "Properties Last Updated";
			infoTable[8,0] = "Checksum";
			infoTable[9,0] = "Schedule";
			infoTable[10,0] = "Status";
			infoTable[11,0] = "URL";
			
			
		}
		
		public string getInfoElement(string name)  {
		
			for (int i=0; i < infoNumElements; i++) {
			
				if (infoTable[i,0] == name)
					return infoTable[i,1];
					
			}
			
			return ("");
		
		}
		
		public void setInfoElement(string e, string value) {
		
			for (int i=0; i < infoNumElements; i++) {
			
				if (infoTable[i,0] == e)
					infoTable[i,1] = value;
					
			 }
			 
		}		
	
	}
	
}