#region

//        Copyright (C) 2004, 2005. Antonio Gutiérrez Mayoral
//                 <agutierr@gsyc.escet.urjc.es>
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
// 
//  You should have received a copy of the GNU General Public
//  License along with this program; if not, write to the
//  Free Software Foundation, Inc., 59 Temple Place _ Suite 330,
//  Boston, MA 02111_1307, USA.

#endregion

/// <summary> 
/// This class handleds main svn client switches. 
/// </summary>

namespace pfc.Svn {

	public class SvnSwitches {

	/// Svn Switches
		
		public const string autoprops		= "--auto-props";
		public const string config_dir		= "--config-dir";
		
		public const string diff_cmd		= "--diff-cmd";
		public const string diff3_cmd		= "--diff3-cmd";
		public const string dry_run		= "--dry-run";
		public const string editor_cmd		= "--editor-cmd";
		public const string encoding		= "--enconding";
		public const string extensions		= "--extensions";
		public const string file			= "--file";
		public const string force			= "--force";
		public const string force_log		= "--force-log";
		public const string help			= "--help";
		public const string ignore_ancestry= "--ignore_ancestry";
		public const string incremental	= "--incremental";
		public const string message		= "--message";
		public const string _new			= "--new";
		public const string no_auth_cache	= "--no-auth-cache";
		public const string no_auto_props	= "--no-auto-props";
		public const string no_diff_deleted= "--no-diff-deleted";
		public const string no_ignore		= "--no-ignore";
		public const string non_interactive= "--non-interactive";
		public const string non_recursive	= "--non-recursive";
		public const string notice_ancestry= "--notice_ancestry";
		public const string old			= "--old"; // Arg
		public const string password		= "--passowrd"; // PASS
		public const string quiet			= "--quiet"; 
		public const string recursive		= "--recursive";
		public const string revision		= "--revision";
		public const string relocate		= "--relocate";
		public const string revprop		= "--revprop";
		public const string show_updates	= "--show-updates";
		public const string stop_on_copy	= "--stop-on-copy";
		public const string strict			= "--strict";
		public const string targets 		= "--targets"; // FILENAME
		public const string username		= "--username"; // USERNAME
		public const string verbose		    = "--verbose";
		public const string version		    = "--version";
		public const string xml 			= "--xml";
	
	}
	
}
	
	
	
	
	